# Preview a subscription The REST API reference describes how to create a new subscription in preview mode. This call does not require a valid customer account. It can be used to show potential new customers a preview of a subscription with complete details and charges before creating an account, or to let existing customers preview a subscription with all charges before committing. Notes: - The response of the Preview Subscription call is based on the REST API minor version you set in the request header. The response structure might be different if you use different minor version numbers. - If you have the Invoice Settlement feature enabled, we recommend that you set the Zuora-Version parameter to 207.0 or later available versions. Otherwise, an error is returned. - Default values for customerAcceptanceDate and serviceActivationDate are set as follows. | | serviceActivationDate(SA) specified | serviceActivationDate (SA) NOT specified | | ------------- |:-------------| :-----| | customerAcceptanceDate (CA) specified | SA uses value in the request call; CA uses value in the request call| CA uses value in the request call;SA uses CE as default | | customerAcceptanceDate (CA) NOT specified | SA uses value in the request call; CA uses SA as default | SA and CA use CE as default | Endpoint: POST /v1/subscriptions/preview Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `accountKey` (string) Customer account number or ID. You must specify the account information either in this field or in the previewAccountInfo field with the following conditions: * If you already have a customer account, specify the account number or ID in this field. * If you do not have a customer account, provide account information in the previewAccountInfo field. Example: "8ad09be48db5aba7018db604776d4854" - `contractEffectiveDate` (string, required) Effective contract date for this subscription, as yyyy-mm-dd. Example: "2024-07-01" - `customerAcceptanceDate` (string) The date on which the services or products within a subscription have been accepted by the customer, as yyyy-mm-dd. Default value is dependent on the value of other fields. See Notes section for more details. - `documentDate` (string) The date of the billing document, in yyyy-mm-dd format. It represents the invoice date for invoices, credit memo date for credit memos, and debit memo date for debit memos. - If this field is specified, the specified date is used as the billing document date. - If this field is not specified, the date specified in the targetDate is used as the billing document date. - `includeExistingDraftDocItems` (boolean) Specifies whether to include draft invoice items in subscription previews. Values are: * true (default). Includes draft invoice items in the preview result. * false. Excludes draft invoice items in the preview result. Note: This field is available only if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 207.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `initialTerm` (integer) Duration of the first term of the subscription, in whole months. If termType is TERMED, then this field is required, and the value must be greater than 0. If termType is EVERGREEN, this field is ignored. Example: 12 - `initialTermPeriodType` (string) The period type of the initial term. Supported values are: * Month * Year * Day * Week The default period type is Month. - `invoiceOwnerAccountKey` (string) Invoice owner account number or ID. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). - `notes` (string) The notes for the subscription. - `previewAccountInfo` (object) A container for providing a customer account information if you do not have an existing customer account. This customer account information is only used for subscription preview. You must specify the account information either in this field or in the accountKey field with the following conditions: * If you already have a customer account, specify the account number or ID in the accountKey field. * If you do not have a customer account, provide account information in this field. - `previewAccountInfo.billCycleDay` (integer, required) The account's bill cycle day (BCD), when bill runs generate invoices for the account. Specify any day of the month (1-31, where 31 = end-of-month), or 0 for auto-set. - `previewAccountInfo.billToContact` (object, required) Container for bill-to contact information of this account. - `previewAccountInfo.billToContact.city` (string) The city of the bill-to address. The value should be 40 characters or less. - `previewAccountInfo.billToContact.country` (string) The country of the bill-to address. The value must be a valid country name or abbreviation. Note: You must specify this field if you are using Zuora Tax for this account. - `previewAccountInfo.billToContact.county` (string) The county of the bill-to address. The value should be 32 characters or less. - `previewAccountInfo.billToContact.state` (string) The state of the bill-to address. The value must be a valid subregion (state or province) name or code. For more information, see View subregions of a specific country or region. Note: You must specify this field if you are using Zuora Tax for this account and the country is USA or Canada. - `previewAccountInfo.billToContact.taxRegion` (string,null) If using Zuora Tax, a region string as optionally defined in your tax rules. - `previewAccountInfo.billToContact.zipCode` (string) The zip code of the bill-to address. The value should be 20 characters or less. - `previewAccountInfo.currency` (string, required) A currency as defined in Billing Settings. - `previewAccountInfo.Class__NS` (string) Value of the Class field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `previewAccountInfo.CustomerType__NS` (string) Value of the Customer Type field for the corresponding customer account in NetSuite. The Customer Type field is used when the customer account is created in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Company", "Individual" - `previewAccountInfo.Department__NS` (string) Value of the Department field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `previewAccountInfo.IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `previewAccountInfo.IntegrationStatus__NS` (string) Status of the account's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `previewAccountInfo.Location__NS` (string) Value of the Location field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `previewAccountInfo.Subsidiary__NS` (string) Value of the Subsidiary field for the corresponding customer account in NetSuite. The Subsidiary field is required if you use NetSuite OneWorld. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `previewAccountInfo.SyncDate__NS` (string) Date when the account was sychronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `previewAccountInfo.SynctoNetSuite__NS` (string) Specifies whether the account should be synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Yes", "No" - `previewType` (string) The type of preview you will receive. Note: If your API minor version is earlier than 206.0 or you specify the Zuora-Version header for this request to 206.0 or earlier, the following values are supported for the previewType field: - InvoiceItem (default) - ChargeMetrics - InvoiceItemChargeMetrics Enum: "LegalDoc", "ChargeMetrics", "LegalDocChargeMetrics" - `serviceActivationDate` (string) The date on which the services or products within a subscription have been activated and access has been provided to the customer, as yyyy-mm-dd. Default value is dependent on the value of other fields. See Notes section for more details. - `subscribeToRatePlans` (array, required) Container for one or more rate plans for this subscription. Example: [{"productRatePlanId":"8ad081dd9096ef9501909b40bb4e74a4"}] - `subscribeToRatePlans.chargeOverrides` (array) This optional container is used to override the quantity of one or more product rate plan charges for this subscription. - `subscribeToRatePlans.chargeOverrides.amendedByOrderOn` (string) The date when the rate plan charge is amended through an order or amendment. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sale order line in Zuora Revenue. - `subscribeToRatePlans.chargeOverrides.applyDiscountTo` (string) Specifies the type of charges that you want a specific discount to apply to. Values: * ONETIME * RECURRING * USAGE * ONETIMERECURRING * ONETIMEUSAGE * RECURRINGUSAGE * ONETIMERECURRINGUSAGE - `subscribeToRatePlans.chargeOverrides.billCycleDay` (string) Sets the bill cycle day (BCD) for the charge. The BCD determines which day of the month the customer is billed. Values: 1-31 - `subscribeToRatePlans.chargeOverrides.billCycleType` (string) Specifies how to determine the billing day for the charge. When this field is set to SpecificDayofMonth, set the BillCycleDay field. When this field is set to SpecificDayofWeek, set the weeklyBillCycleDay field. Values: * DefaultFromCustomer * SpecificDayofMonth * SubscriptionStartDay * ChargeTriggerDay * SpecificDayofWeek - `subscribeToRatePlans.chargeOverrides.billingPeriod` (string) Billing period for the charge. The start day of the billing period is also called the bill cycle day (BCD). Values: * Month * Quarter * Semi_Annual * Annual * Eighteen_Months * Two_Years * Three_Years * Five_Years * Specific_Months * Subscription_Term * Week * Specific_Weeks - `subscribeToRatePlans.chargeOverrides.billingPeriodAlignment` (string) Aligns charges within the same subscription if multiple charges begin on different dates. Values: * AlignToCharge * AlignToSubscriptionStart * AlignToTermStart - `subscribeToRatePlans.chargeOverrides.billingTiming` (string) Billing timing for the charge for recurring charge types. Not avaliable for one time, usage, and discount charges. Values: * IN_ADVANCE (default) * IN_ARREARS - `subscribeToRatePlans.chargeOverrides.chargeModelConfiguration` (object) Container for charge model configuration data. Note: This field is only available if you have the High Water Mark, Pre-Rated Pricing, or Multi-Attribute Pricing charge models enabled. These charge models are available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `subscribeToRatePlans.chargeOverrides.chargeModelConfiguration.customFieldPerUnitRate` (string) The custom field that carries the per-unit rate for each usage record. For example, perUnitAmount__c. This field is only available for the usage-based charges that use the Pre-Rated Per Unit Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `subscribeToRatePlans.chargeOverrides.chargeModelConfiguration.customFieldTotalAmount` (string) The custom field that carries the total amount to charge for a usage record. For example, totalAmount__c. This field is only available for the usage-based charges that use the Pre-Rated Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `subscribeToRatePlans.chargeOverrides.chargeModelConfiguration.formula` (string) The pricing formula to calculate actual rating amount for each usage record. This field is only available for the usage-based charges that use the Multi-Attribute Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `subscribeToRatePlans.chargeOverrides.description` (string) Description of the charge. - `subscribeToRatePlans.chargeOverrides.discountAmount` (number) Specifies the amount of fixed-amount discount. - `subscribeToRatePlans.chargeOverrides.discountLevel` (string) Specifies if the discount applies to the product rate plan only, the entire subscription, or to any activity in the account. Values: * rateplan * subscription * account - `subscribeToRatePlans.chargeOverrides.discountPercentage` (number) Percentage of discount for a percentage discount. - `subscribeToRatePlans.chargeOverrides.endDateCondition` (string) Defines when the charge ends after the charge trigger date. If the subscription ends before the charge end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the charge end date. Values: * Subscription_End * Fixed_Period * Specific_End_Date * One_Time - `subscribeToRatePlans.chargeOverrides.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude rate plan charge related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `subscribeToRatePlans.chargeOverrides.excludeItemBookingFromRevenueAccounting` (boolean) The flag to exclude rate plan charges from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `subscribeToRatePlans.chargeOverrides.includedUnits` (number) Specifies the number of units in the base set of units for this charge. Must be >=0. - `subscribeToRatePlans.chargeOverrides.isAllocationEligible` (boolean) This field is used to identify if the charge segment is allocation eligible in revenue recognition. Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `subscribeToRatePlans.chargeOverrides.isUnbilled` (boolean) This field is used to dictate how to perform the accounting during revenue recognition. Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `subscribeToRatePlans.chargeOverrides.listPriceBase` (string) The list price base for the product rate plan charge. Values: * Per_Billing_Period * Per_Month * Per_Week * Per_Year * Per_Specific_Months - `subscribeToRatePlans.chargeOverrides.number` (string) Unique number that identifies the charge. Max 50 characters. System-generated if not provided. - `subscribeToRatePlans.chargeOverrides.numberOfPeriods` (integer) Specifies the number of periods to use when calculating charges in an overage smoothing charge model. - `subscribeToRatePlans.chargeOverrides.originalOrderDate` (string) The date when the rate plan charge is created through an order or amendment. This field is not updatable. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sale order line in Zuora Revenue. - `subscribeToRatePlans.chargeOverrides.overagePrice` (number) Price for units over the allowed amount. - `subscribeToRatePlans.chargeOverrides.overageUnusedUnitsCreditOption` (string) Determines whether to credit the customer with unused units of usage. Values: * NoCredit * CreditBySpecificRate - `subscribeToRatePlans.chargeOverrides.price` (number) Price for units in the subscription rate plan. - `subscribeToRatePlans.chargeOverrides.priceChangeOption` (string) Applies an automatic price change when a termed subscription is renewed. The Billing Admin setting Enable Automatic Price Change When Subscriptions are Renewed? must be set to Yes to use this field. Values: * NoChange (default) * SpecificPercentageValue * UseLatestProductCatalogPricing - `subscribeToRatePlans.chargeOverrides.priceIncreasePercentage` (number) Specifies the percentage to increase or decrease the price of a termed subscription's renewal. Required if you set the PriceChangeOption field to SpecificPercentageValue. Value must be a decimal between -100 and 100. - `subscribeToRatePlans.chargeOverrides.productRatePlanChargeId` (string, required) ID of a product rate-plan charge for this subscription. - `subscribeToRatePlans.chargeOverrides.productRatePlanChargeNumber` (string) Number of a product rate-plan charge for this subscription. - `subscribeToRatePlans.chargeOverrides.quantity` (number) Number of units. Must be a decimal >=0. When using chargeOverrides for creating subscriptions with recurring charge types, the quantity field must be populated when the charge model is "Tiered Pricing" or "Volume Pricing". It is not required for "Flat Fee Pricing" charge model. - `subscribeToRatePlans.chargeOverrides.ratingGroup` (string) Specifies a rating group based on which usage records are rated. Possible values: - ByBillingPeriod (default): The rating is based on all the usages in a billing period. - ByUsageStartDate: The rating is based on all the usages on the same usage start date. - ByUsageRecord: The rating is based on each usage record. - ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). - ByGroupId: The rating is based on all the usages in a custom group. Note: - The ByBillingPeriod value can be applied for all charge models. - The ByUsageStartDate, ByUsageRecord, and ByUsageUpload values can only be applied for per unit, volume pricing, and tiered pricing charge models. - The ByGroupId value is only available if you have the Active Rating feature enabled. - Use this field only for Usage charges. One-Time Charges and Recurring Charges return NULL. - `subscribeToRatePlans.chargeOverrides.specificBillingPeriod` (integer) Specifies the number of month or week for the charges billing period. Required if you set the value of the billingPeriod field to Specific_Months or Specific_Weeks. - `subscribeToRatePlans.chargeOverrides.specificEndDate` (string) Defines when the charge ends after the charge trigger date. Note: * This field is only applicable when the endDateCondition field is set to Specific_End_Date. * If the subscription ends before the specific end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the specific end date. - `subscribeToRatePlans.chargeOverrides.specificListPriceBase` (integer) The number of months for the list price base of the charge. This field is required if you set the value of the listPriceBase field to Per_Specific_Months. Note: - This field is available only if you have the Annual List Price feature enabled. - The value of this field is null if you do not set the value of the listPriceBase field to Per_Specific_Months. - `subscribeToRatePlans.chargeOverrides.tiers` (array) Container for Volume, Tiered, or Tiered with Overage charge models. Supports the following charge types: * One-time * Recurring * Usage-based - `subscribeToRatePlans.chargeOverrides.tiers.endingUnit` (number) End number of a range of units for the tier. - `subscribeToRatePlans.chargeOverrides.tiers.price` (number, required) Price of the tier if the charge is a flat fee, or the price of each unit in the tier if the charge model is tiered pricing. - `subscribeToRatePlans.chargeOverrides.tiers.priceFormat` (string) Indicates if pricing is a flat fee or is per unit. Values: * FlatFee * PerUnit - `subscribeToRatePlans.chargeOverrides.tiers.startingUnit` (number) Starting number of a range of units for the tier. - `subscribeToRatePlans.chargeOverrides.tiers.tier` (integer, required) Unique number that identifies the tier that the price applies to. - `subscribeToRatePlans.chargeOverrides.triggerDate` (string) Specifies when to start billing the customer for the charge. Required if the triggerEvent field is set to USD. - `subscribeToRatePlans.chargeOverrides.triggerEvent` (string) Specifies when to start billing the customer for the charge. Values: * UCE * USA * UCA * USD - `subscribeToRatePlans.chargeOverrides.unusedUnitsCreditRates` (number) Specifies the rate to credit a customer for unused units of usage. This field applies only for overage charge models when the OverageUnusedUnitsCreditOption field is set to CreditBySpecificRate. - `subscribeToRatePlans.chargeOverrides.upToPeriods` (integer) Specifies the length of the period during which the charge is active. If this period ends before the subscription ends, the charge ends when this period ends. Note: You must use this field together with the upToPeriodsType field to specify the time period. * This field is applicable only when the endDateCondition field is set to Fixed_Period. * If the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge end date will change accordingly up to the original period end. - `subscribeToRatePlans.chargeOverrides.upToPeriodsType` (string) The period type used to define when the charge ends. Values: * Billing_Periods * Days * Weeks * Months * Years You must use this field together with the upToPeriods field to specify the time period. This field is applicable only when the endDateCondition field is set to Fixed_Period. - `subscribeToRatePlans.chargeOverrides.weeklyBillCycleDay` (string) Specifies which day of the week is the bill cycle day (BCD) for the charge. Values: * Sunday * Monday * Tuesday * Wednesday * Thursday * Friday * Saturday - `subscribeToRatePlans.externalCatalogPlanId` (string) An external ID of the product rate plan to be added. You can use this field to specify a product rate plan that is imported from an external system. The value of the externalCatalogPlanId field must match one of the values that are predefined in the externallyManagedPlanIds field on a product rate plan. Note: If both externalCatalogPlanId and productRatePlanId are provided. They must point to the same product rate plan. Otherwise, the request would fail. - `subscribeToRatePlans.externalIdSourceSystem` (string) The ID of the external source system. You can use this field and externalCatalogPlanId to specify a product rate plan that is imported from an external system. Note: If both externalCatalogPlanId, externalIdSourceSystem and productRatePlanId are provided. They must point to the same product rate plan. Otherwise, the request would fail. - `subscribeToRatePlans.externallyManagedPlanId` (string) Indicates the unique identifier for the rate plan purchased on a third-party store. This field is used to represent a subscription rate plan created through third-party stores. - `subscribeToRatePlans.productRatePlanId` (string) ID of a product rate plan for this subscription. - `subscribeToRatePlans.productRatePlanNumber` (string) Number of a product rate plan for this subscription. - `targetDate` (string) Date through which to calculate charges if an invoice is generated, as yyyy-mm-dd. Default is current date. Note: This field is only available if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 207.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `termStartDate` (string) The date on which the subscription term begins, as yyyy-mm-dd. If this is a renewal subscription, this date is different from the subscription start date. - `termType` (string, required) Possible values are: TERMED, EVERGREEN. Example: "TERMED" ## Response 200 fields (application/json): - `chargeMetrics` (object) Container for charge metrics. - `chargeMetrics.dmrr` (string) Change in monthly recurring revenue. - `chargeMetrics.dtcv` (string) Change in total contract value. - `chargeMetrics.mrr` (string) Monthly recurring revenue. - `chargeMetrics.number` (string) The charge number of the subscription. Only available for update subscription. - `chargeMetrics.originRatePlanId` (string) The origin rate plan ID. Only available for update subscription. - `chargeMetrics.originalId` (string) The original rate plan charge ID. Only available for update subscription. - `chargeMetrics.productRatePlanChargeId` (string) The product rate plan charge ID. - `chargeMetrics.productRatePlanId` (string) The product rate plan ID. - `chargeMetrics.tcv` (string) Total contract value. - `contractedMrr` (number) Monthly recurring revenue of the subscription. - `creditMemo` (object) Container for credit memos. Note: This container is only available if you are on the latest Zuora API version or you set the Zuora-Version request header to 207.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version), and you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `creditMemo.amount` (number) Credit memo amount. - `creditMemo.amountWithoutTax` (number) Credit memo amount minus tax. - `creditMemo.creditMemoItems` (array) - `creditMemo.creditMemoItems.amountWithoutTax` (number) The credit memo item amount excluding tax. - `creditMemo.creditMemoItems.chargeAmount` (number) The amount of the credit memo item. For tax-inclusive credit memo items, the amount indicates the credit memo item amount including tax. For tax-exclusive credit memo items, the amount indicates the credit memo item amount excluding tax - `creditMemo.creditMemoItems.chargeDescription` (string) Description of this credit memo item. - `creditMemo.creditMemoItems.chargeName` (string) Name of this credit memo item. - `creditMemo.creditMemoItems.productName` (string) Name of the product associated with this credit memo item. - `creditMemo.creditMemoItems.productRatePlanChargeId` (string) ID of the product rate plan charge associated with this credit memo item. - `creditMemo.creditMemoItems.quantity` (integer) Quantity of the charge associated with this credit memo item. - `creditMemo.creditMemoItems.serviceEndDate` (string) End date of the service period for this credit memo item, as yyyy-mm-dd. - `creditMemo.creditMemoItems.serviceStartDate` (string) Service start date of this credit memo item, as yyyy-mm-dd. - `creditMemo.creditMemoItems.taxAmount` (number) The tax amount of the credit memo item. - `creditMemo.creditMemoItems.taxationItems` (array) List of taxation items. Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 315.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `creditMemo.creditMemoItems.taxationItems.exemptAmount` (number) The calculated tax amount excluded due to the exemption. - `creditMemo.creditMemoItems.taxationItems.jurisdiction` (string) The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city. - `creditMemo.creditMemoItems.taxationItems.locationCode` (string) The identifier for the location based on the value of the taxCode field. - `creditMemo.creditMemoItems.taxationItems.name` (string) The name of the taxation item. - `creditMemo.creditMemoItems.taxationItems.taxAmount` (number) The tax amount of the invoice item. - `creditMemo.creditMemoItems.taxationItems.taxCode` (string) The tax code identifies which tax rules and tax rates to apply to a specific invoice. - `creditMemo.creditMemoItems.taxationItems.taxCodeDescription` (string) The description of the tax code. - `creditMemo.creditMemoItems.taxationItems.taxDate` (string) The date when the tax is applied to the invoice. - `creditMemo.creditMemoItems.taxationItems.taxRate` (number) The tax rate applied to the invoice. - `creditMemo.creditMemoItems.taxationItems.taxRateDescription` (string) The description of the tax rate. - `creditMemo.creditMemoItems.taxationItems.taxRateType` (string) Enum:"Percentage" "FlatFee". The type of the tax rate applied to the invoice. Enum: "Percentage", "FlatFee" - `creditMemo.creditMemoItems.unitOfMeasure` (string) Unit used to measure consumption. - `creditMemo.taxAmount` (number) Tax amount on the credit memo. - `documentDate` (string) The date of the billing document, in yyyy-mm-dd format. It represents the invoice date for invoices, credit memo date for credit memos, and debit memo date for debit memos. - If this field is specified, the specified date is used as the billing document date. - If this field is not specified, the date specified in the targetDate is used as the billing document date. - `invoice` (object) Container for invoices. Note: This field is only available if you set the Zuora REST API minor version to 207.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version) in the request header. Also, the response structure is changed and the following invoice related response fields are moved to this invoice container: * amount * amountWithoutTax * taxAmount * invoiceItems - `invoice.amount` (number) Invoice amount. - `invoice.amountWithoutTax` (number) Invoice amount minus tax. - `invoice.invoiceItems` (array) Container for invoice items. - `invoice.invoiceItems.chargeAmount` (number) The amount of the charge. This amount doesn't include taxes unless the charge's tax mode is inclusive. - `invoice.invoiceItems.chargeDescription` (string) Description of the charge. - `invoice.invoiceItems.chargeName` (string) Name of the charge. - `invoice.invoiceItems.productName` (string) Name of the product associated with this item. - `invoice.invoiceItems.productRatePlanChargeId` (string) ID of the product rate plan charge. - `invoice.invoiceItems.quantity` (number) Quantity of this item. - `invoice.invoiceItems.serviceEndDate` (string) End date of the service period for this item, i.e., the last day of the period, as yyyy-mm-dd. - `invoice.invoiceItems.serviceStartDate` (string) Service start date as yyyy-mm-dd. If the charge is a one-time fee, this is the date of that charge. - `invoice.invoiceItems.unitOfMeasure` (string) - `invoice.targetDate` (string) Date through which to calculate charges if an invoice is generated, as yyyy-mm-dd. Default is current date. Note: This field is only available if you set the Zuora REST API minor version to 207.0 or later [available versions](https://developer.zuora.com/api-references/api/overview/#section/API-Versions/Minor-Version) in the request header. - `invoice.taxAmount` (number) The tax amount of the invoice. - `success` (boolean) Returns true if the request was processed successfully. - `targetDate` (string) Date through which to calculate charges if an invoice is generated, as yyyy-mm-dd. Default is current date. Note: This field is only available if you set the Zuora REST API minor version to 207.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version) in the request header. - `taxAmount` (number) Tax amount on the invoice. - `totalContractedValue` (number) Total contracted value of the subscription. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.